SDL_GetWindowID(3)

NAME
SDL_GetWindowID - Get the numeric ID of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_WindowID SDL_GetWindowID(SDL_Window *window);

DESCRIPTION
The numeric ID is what SDL_WindowEvent
 references, and is necessary to map these events to specific SDL_Window

objects.

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
( SDL_WindowID ) Returns the ID of the window on success or 0 on failure; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowFromID(3)